/**
 *
 */

package org.richfaces.ui.component;

import javax.faces.component.UIComponentBase;

/**
 * JSF component class
 * 
 */
public abstract class UIInsert extends UIComponentBase {

    	/**
    	 * Message of the Exception thrown in case both "content" and "src"
    	 * attributes are set on the page
     	 */
    	public static final String ILLEGAL_ATTRIBUTE_VALUE_MESSAGE = "Only one attribute "
	    + "should be set for the <rich:insert> component: either \"content\" or \"src\"."; 
    
	private static final String COMPONENT_TYPE = "org.richfaces.ui.Insert";

	private static final String COMPONENT_FAMILY = "org.richfaces.ui.Insert";


	public abstract String getSrc();

	public abstract void setSrc(String src);
	
	public abstract String getContent();

	public abstract void setContent(String content);

	public abstract String getHighlight();

	public abstract void setHighlight(String highlight);
	
	public abstract String getErrorContent();
	
	public abstract void setErrorContent(String src);

	public abstract String getEncoding();
	
	public abstract void setEncoding(String encoding);
}
